/*******************************************************************************
* File Name: RXINT.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_RXINT_H)
#define CY_ISR_RXINT_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void RXINT_Start(void);
void RXINT_StartEx(cyisraddress address);
void RXINT_Stop(void);

CY_ISR_PROTO(RXINT_Interrupt);

void RXINT_SetVector(cyisraddress address);
cyisraddress RXINT_GetVector(void);

void RXINT_SetPriority(uint8 priority);
uint8 RXINT_GetPriority(void);

void RXINT_Enable(void);
uint8 RXINT_GetState(void);
void RXINT_Disable(void);

void RXINT_SetPending(void);
void RXINT_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the RXINT ISR. */
#define RXINT_INTC_VECTOR            ((reg32 *) RXINT__INTC_VECT)

/* Address of the RXINT ISR priority. */
#define RXINT_INTC_PRIOR             ((reg32 *) RXINT__INTC_PRIOR_REG)

/* Priority of the RXINT interrupt. */
#define RXINT_INTC_PRIOR_NUMBER      RXINT__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable RXINT interrupt. */
#define RXINT_INTC_SET_EN            ((reg32 *) RXINT__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the RXINT interrupt. */
#define RXINT_INTC_CLR_EN            ((reg32 *) RXINT__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the RXINT interrupt state to pending. */
#define RXINT_INTC_SET_PD            ((reg32 *) RXINT__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the RXINT interrupt. */
#define RXINT_INTC_CLR_PD            ((reg32 *) RXINT__INTC_CLR_PD_REG)



#endif /* CY_ISR_RXINT_H */


/* [] END OF FILE */
